AsterNet Class Library (Sandcastle documentation)

| AbstractAgentVariables SetVariable Method

Sets a variable dictionary on the originated call. Replaces any existing variable with the same name.

Namespace: AsterNET.Manager.Event
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public void SetVariable(
    	string key,
    	string val
    )

    Public Sub SetVariable (
    	key As String,
    	val As String
    )

    public:
    void SetVariable(
    	String^ key,
    	String^ val
    )

    member SetVariable :
            key : string *
            val : string -> unit

#### Parameters

key
  Type: System
  String

  [Missing <param name="key"/> documentation for "M:AsterNET.Manager.Event.AbstractAgentVariables.SetVariable(System.String,System.String)"]

val
  Type: System
  String

  [Missing <param name="val"/> documentation for "M:AsterNET.Manager.Event.AbstractAgentVariables.SetVariable(System.String,System.String)"]

See Also

#### Reference

AbstractAgentVariables Class
AsterNET.Manager.Event Namespace